Page MenuHomePhabricator

add checkbox to ApiSandbox to use formatversion=2
Closed, ResolvedPublic

Description

Now that we have formatversion=2 it would be nice if ApiSandbox were aware of it. Otherwise API examples showing off the new format will give different results when you [try in ApiSandbox].

I think the logic in JavaScript is

  • if format is json or jsonfm
    • add a checkbox "[ ] Use v2 JSON results format" under the format <select> box.

Details

Related Gerrit Patches:
mediawiki/core : masterAdd Special:ApiSandbox

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

Spage raised the priority of this task from to Normal.
Spage updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 4 2015, 10:12 PM

Change 209570 had a related patch set uploaded (by Anomie):
WIP: Add Special:ApiSandbox

https://gerrit.wikimedia.org/r/209570

brion added a subscriber: brion.Jun 25 2015, 10:59 AM
Anomie moved this task from In Dev to Blocked on the MediaWiki-API board.Sep 10 2015, 2:57 PM
Anomie moved this task from Blocked to Needs Review on the MediaWiki-API board.Jan 5 2016, 5:24 AM

Change 209570 merged by jenkins-bot:
Add Special:ApiSandbox

https://gerrit.wikimedia.org/r/209570

Anomie closed this task as Resolved.Feb 3 2016, 5:10 PM
Anomie claimed this task.
Anomie added a subscriber: Anomie.